#pragma once
#include "WorldUpdate.h"
#include "Entity.h"

class AddEntityUpdate : public WorldUpdate
{
private:
	Entity* entity;

protected:
	void write(Framework::StreamWriter* zWriter) override;

public:
	AddEntityUpdate(Entity* entity, int dimension);
	~AddEntityUpdate();

	void onUpdate(Dimension* zDimension) override;
};

class AddEntityUpdateType : WorldUpdateType
{
	REGISTRABLE(AddEntityUpdateType)

protected:
	AddEntityUpdateType();
};
REGISTER(AddEntityUpdateType, WorldUpdateType)